# pydicom.datadict.private_dictionary_description

pydicom.datadict.private_dictionary_description(tag: int | str | tuple[int, int] | BaseTag, private_creator: str) → str

  Return the description of the private element corresponding to tag.

  Parameters:

    - tag (int or str or Tuple[int, int]) – The tag for the element whose description is being retrieved, in any of the forms accepted by `Tag()`.

    - private_creator (str) – The name of the private creator.

  Returns:

    The description of the corresponding element.

  Return type:

    str

  Raises:

    KeyError – If the tag is not present in the private dictionary, or if the private creator is not valid.